package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.DeviceBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/8/31
 * @Version V1.0
 */
public interface So2Mapper {
    List<Map<String, Object>> queryDeviceStatic();

    int queryDeviceCount();

    List<DeviceBo> queryDeviceList(@Param("monitor") String monitor);

    Map<String, Object> queryById(@Param("id") String id);
}
